version: '3.8'

services:
  {{ docker_compose_app_container_name }}:
    container_name: {{ docker_compose_app_container_name }}
    image: {{ docker_compose_image_app }}
    restart: always
    env_file: env.docker-compose
    depends_on:
      {{ docker_compose_mysql_container_name }}:
        condition: service_healthy
    environment:
      VIRTUAL_HOST: {{ docker_compose_virtual_host_app }}
      VIRTUAL_PORT: 3000
      MYSQL_HOST: {{ docker_compose_mysql_container_name }}
    networks:
      - docker-proxy
      - {{ docker_compose_app_network_name }}

  {{ docker_compose_mysql_container_name }}:
    container_name: {{ docker_compose_mysql_container_name }}
    image: mysql:8.0
    restart: always
    env_file: env.docker-compose
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "-h", "localhost"]
      interval: 10s
      timeout: 5s
      retries: 3
    volumes:
      - {{ docker_compose_volume_name }}:/var/lib/mysql/
    expose:
      - 3306
    networks:
      - {{ docker_compose_app_network_name }}

networks:
  docker-proxy:
    external: true
    driver: bridge
    name: docker-proxy
  {{ docker_compose_app_network_name }}:
    driver: bridge
    name: {{ docker_compose_app_network_name }}

volumes:
  {{ docker_compose_volume_name }}:
    name: {{ docker_compose_volume_name }}
    driver: local